#include <unistd.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include "iolib.h"
#define PROGNAME "svok"
#include "freedt.h"

int main(int argc, char **argv) {
	int fd;

	istdinit();

	if (argc < 2)
		die("usage: svok service");

	if (chdir(argv[1]) < 0)
		die2(argv[1], "unable to chdir to service dir");

	fd = open("supervise/control", O_WRONLY | O_NONBLOCK);
	if (fd < 0) {
		if (errno == ENXIO || errno == ENOENT)
			return 100;
		die2(argv[1], "unable to open control pipe");
	}

	return 0;
}

